Summary: HTTP server daemon to provide WWW services with SSL
Name: apache-mod_ssl
%define apversion 1.3.2
%define modversion 2.0.12
Version: %{apversion}-%{modversion}
# Serial number taken from APACHE_RELEASE definition in src/include/httpd.h
# Update Serial Number when Apache version is changed.
Serial: 1030299
Release: 3
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{apversion}.tar.gz
Source1: http://www.engelschall.com/sw/mod_ssl/mod_ssl-%{modversion}-%{apversion}.tar.gz
Source2: index.html
Source3: poweredby.gif
Source4: httpd.init
Source5: apache-mod_ssl.log
Source6: mod_ssl_sb.gif
Patch0: apache-1.3b8-htdocs.patch
Patch1: apache-1.3.2-suexec.patch
Patch2: apache-1.3b7-perlpath.patch
Patch3: apache-1.3b8-config.patch
Patch4: apache-1.3b8-mimetypes.patch
Copyright: BSD-like
Obsoletes: apache-suexec apache-extra apache-doc apache-ssl
Provides: apache
BuildRoot: /var/tmp/apache-root
#Requires: /etc/mime.types
Requires: initscripts >= 3.25
Requires: SSLeay >= 0.8.1
Prereq: /sbin/chkconfig
URL: http://www.engelschall.com/sw/mod_ssl/
Packager: Manuel J. Galan <manolow@step.es>

%description
Apache-mod_ssl is Apache plus SSL via mod_ssl

%prep 
rm -rf apache-ssl_%{version}
mkdir -p apache-ssl_%{version}
%setup -T -D -a 0 -n apache-ssl_%{version}
%setup -T -D -a 1 -n apache-ssl_%{version}
#%setup -c

cd apache_%{apversion}

#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1

%build

cd mod_ssl-%{modversion}-%{apversion}

OPTIM="$RPM_OPT_FLAGS" ./configure \
	--with-apache=../apache_%{apversion} \
	--with-ssleay=SYSTEM \
	--prefix=/usr \
	--sysconfdir=/etc/httpd/conf \
	--datadir=/home/httpd \
	--libexecdir=/usr/libexec/apache \
	--localstatedir=/var \
	--runtimedir=/var/run \
	--logfiledir=/var/log/httpd \
	--enable-module=all --enable-shared=max \
	--proxycachedir=/var/spool/proxy \
	--enable-suexec --suexec-caller=nobody \
	--suexec-uidmin=500 --suexec-gidmin=500

cd ../apache_%{apversion}

make

make certificate TYPE=dummy

%install
rm -rf $RPM_BUILD_ROOT

cd apache_%{apversion}

make install-quiet root="$RPM_BUILD_ROOT" \
        conf_group="nobody" \
        conf_port="80" \
        conf_port_ssl="443" \
        conf_serveradmin="webmaster@localhost" \
        conf_servername="localhost"
 

mv $RPM_BUILD_ROOT/home/httpd/htdocs/{index,index_apache}.html
install $RPM_SOURCE_DIR/{index.html,poweredby.gif,mod_ssl_sb.gif} \
	$RPM_BUILD_ROOT/home/httpd/htdocs

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
install $RPM_SOURCE_DIR/apache-mod_ssl.log $RPM_BUILD_ROOT/etc/logrotate.d/apache-mod_ssl
install $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

#install src/support/phf_abuse_log.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin

# Only needed for from_cvs tarballs, but doesn't hurt otherwise
rm -f $RPM_BUILD_ROOT/home/httpd/htdocs/manual/expand.pl

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add httpd
echo ""
echo ""
echo "As supplied httpd -DSSL will run with a dummy certificate!!"
echo "You need a server.key file in /etc/httpd/conf/ssl.key/"
echo "and you need a server.crt file in /etc/httpd/conf/ssl.crt/"
echo "After you have to run make in that directory."
echo ""
echo ""

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/httpd ]; then
       /etc/rc.d/init.d/httpd stop
   fi
   /sbin/chkconfig --del httpd
fi


%files
%defattr(644 root root 755)
%attr(755,root,root)  %dir /etc/httpd
%attr(755,root,root)  %dir /etc/httpd/conf
%attr(700,root,root)  %dir /etc/httpd/conf/ssl.crt
%attr(644,root,root)  %config /etc/httpd/conf/ssl.crt/*
%attr(700,root,root)  %dir /etc/httpd/conf/ssl.csr
%attr(644,root,root)  %config /etc/httpd/conf/ssl.csr/*
%attr(700,root,root)  %dir /etc/httpd/conf/ssl.key
%attr(644,root,root)  %config /etc/httpd/conf/ssl.key/*
%attr(644,root,root)  %config /etc/httpd/conf/*.conf
%attr(644,root,root)  %config /etc/httpd/conf/magic
%attr(644,root,root)  %config /etc/httpd/conf/mime.types
%attr(644,root,root)  /home/httpd/htdocs/poweredby.gif
%attr(644,root,root)  /home/httpd/htdocs/mod_ssl_sb.gif
%attr(644,root,root)  %config /etc/logrotate.d/*
%attr( - ,root,root)  %doc apache_%{apversion}/{ABOUT_APACHE,src/CHANGES,KEYS,LICENSE,README,README.SSL}
%attr( - ,root,root)  %doc apache_%{apversion}/src/support/suexec.[ch]
%attr(755,root,root)  %dir /home/httpd
%attr(755,root,root)  %dir /home/httpd/htdocs
%attr(644,root,root)  %config(noreplace) /home/httpd/htdocs/index.html
%attr(755,root,root)  /etc/rc.d/init.d/*
%attr(644,root,root)  /etc/httpd/conf/*.conf.default
%attr( - ,root,root)  /home/httpd/cgi-bin
%attr( - ,root,root)  /home/httpd/icons
%attr( - ,root,root)  /usr/include/*
%attr( - ,root,root)  /usr/libexec/*
%attr(755,root,root)  /usr/bin/*
%attr(755,root,root)  /usr/sbin/ssl_gcache
%attr(755,root,root)  /usr/sbin/ab
%attr(755,root,root)  /usr/sbin/apachectl
%attr(755,root,root)  /usr/sbin/apxs
%attr(755,root,root)  /usr/sbin/httpd
%attr(755,root,root)  /usr/sbin/logresolve
%attr(755,root,root)  /usr/sbin/rotatelogs
%attr(4755,root,root) /usr/sbin/suexec
%attr(644,root,root)  /usr/man/man1/*
%attr(644,root,root)  /usr/man/man8/*
%attr(755,root,root)  %dir /var/log/httpd
%attr( - ,root,root)  %docdir /home/httpd/htdocs/manual
%attr( - ,root,root)  /home/httpd/htdocs/manual

%changelog

* Sat Oct 02 1998 Manuel J. Galan <manolow@step.es>
- Error with serial
- Release number!
- Several modifications and suexec-patch thanks to
  Stephen Webb <spidey@dodds.net>

* Tue Sep 08 1998 Manuel J. Galan <manolow@step.es>
- Keep *.pem files on installation!

* Tue Sep 08 1998 Manuel J. Galan <manolow@step.es>
- Initial version
